List asset wallets
GET /api/v1/programmatic/wallets
/api/v1/programmatic/walletsReturns active asset wallets and their account balances.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
group_id | query | stringOptional | <group_id> |
page | query | numberOptional | <page> |
limit | query | numberOptional | <limit> |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/wallets?group_id=<group_id>&page=<page>&limit=<limit>' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": [
{
"type": "wallets",
"id": "<uuid>",
"attributes": {
"name": "Main checking",
"type": "bank",
"icon": "wallet",
"icon_url": "https://cdn.tetri.app/icons/abc.webp",
"accent_color": "sky",
"group_id": "<uuid>",
"include_net_worth": false,
"notes": "<string>",
"order": 0,
"liability_type": "credit_card",
"liability_direction": "outgoing",
"interest": "5.25",
"interest_period": "yearly",
"monthly_payment_date": 15,
"term_periods": 360,
"repayment_type": "french",
"scheduled_payment_amount": "1066.20",
"first_payment_date": "2026-06-15",
"payment_day_of_month": 15,
"expected_settle_date": "2026-12-31",
"accounts": [
{
"id": "<uuid>",
"currency": {},
"current_balance": "1234.56",
"opening_balance": "1234.56",
"opening_balance_date": "2026-04-01",
"opening_balance_missing": false,
"active": false,
"iban": "<string>",
"bic": "<string>",
"account_number": "<string>"
}
],
"total_balance": "1234.56",
"total_balance_currency": {},
"total_today_at": "2026-07-12T12:00:00Z",
"per_currency": [
{
"currency_id": "<uuid>",
"currency_code": "USD",
"amount": "1234.56"
}
],
"balance_sparkline_30d": [
0
],
"balance_trend_30d_percentage": "-3.2",
"needs_opening_balance_setup": false,
"last_reconciled_at": "2026-07-12",
"reconciliation_status": "draft",
"created_at": "2026-07-12T12:00:00Z",
"updated_at": "2026-07-12T12:00:00Z",
"archived_at": "2026-07-12T12:00:00Z",
"is_archived": false
}
}
],
"meta": {
"pagination": {
"total": 120,
"count": 25,
"per_page": 25,
"current_page": 1,
"total_pages": 5
}
}
}